Index: plugins/importExport/index.php
===================================================================
--- plugins/importExport/index.php	(revision 840)
+++ plugins/importExport/index.php	(revision 696)
@@ -2,7 +2,7 @@
 # -- BEGIN LICENSE BLOCK ---------------------------------------
 #
-# This file is part of importExport, a plugin for DotClear2.
+# This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2012 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -12,12 +12,107 @@
 if (!defined('DC_CONTEXT_ADMIN')) { return; }
 
-function listImportExportModules($core,$modules)
+require dirname(__FILE__).'/inc/class.dc.ieModule.php';
+
+$modules = new ArrayObject();
+$modules['i'] = new ArrayObject(array(
+	'dcImportFlat' => dirname(__FILE__).'/inc/class.dc.import.flat.php',
+	'dcImportFeed' => dirname(__FILE__).'/inc/class.dc.import.feed.php'
+));
+$modules['e'] = new ArrayObject(array(
+	'dcExportFlat' => dirname(__FILE__).'/inc/class.dc.export.flat.php'
+));
+
+if ($core->auth->isSuperAdmin()) {
+	$modules['i']['dcImportDC1']  = dirname(__FILE__).'/inc/class.dc.import.dc1.php';
+	$modules['i']['dcImportWP']  = dirname(__FILE__).'/inc/class.dc.import.wp.php';
+}
+
+# --BEHAVIOR-- importExportModules
+$core->callBehavior('importExportModules',$modules);
+
+$type = null;
+if (!empty($_REQUEST['t']) && ($_REQUEST['t'] == 'e' || $_REQUEST['t'] == 'i')) {
+	$type = $_REQUEST['t'];
+}
+
+$current_module = null;
+if ($type && !empty($_REQUEST['f'])) {
+	if (isset($modules[$type][$_REQUEST['f']])) {
+		require_once $modules[$type][$_REQUEST['f']];
+		$current_module = new $_REQUEST['f']($core);
+		$current_module->init();
+	}
+}
+
+if ($type && $current_module !== null && !empty($_REQUEST['do']))
 {
-	$res = '';
-	foreach ($modules as $id)
+	try {
+		$current_module->process($_REQUEST['do']);
+	} catch (Exception $e) {
+		$core->error->add($e->getMessage());
+	}
+}
+?>
+<html>
+<head>
+	<title><?php echo __('Import/Export'); ?></title>
+	<style type="text/css">
+	dl.modules dt {
+		font-weight: bold;
+		font-size: 1.1em;
+		margin: 1em 0 0 0;
+	}
+	dl.modules dd {
+		margin: 0 0 1.5em 0;
+	}
+	div.ie-progress {
+		background: #eee;
+		margin: 1em 0;
+	}
+	div.ie-progress div {
+		height: 10px;
+		width: 0;
+		font-size: 0.8em;
+		line-height: 1em;
+		height: 1em;
+		padding: 2px 0;
+		text-align: right;
+		background: green url(index.php?pf=importExport/progress.png) repeat-x top left;
+		color: white;
+		font-weight: bold;
+		-moz-border-radius: 2px;
+	}
+	</style>
+	<script type="text/javascript" src="index.php?pf=importExport/script.js"></script>
+	<script type="text/javascript">
+	//<![CDATA[
+	dotclear.msg.please_wait = '<?php echo html::escapeJS(__("Please wait...")); ?>';
+	//]]>
+	</script>
+</head>
+<body>
+
+<?php
+if ($type && $current_module !== null)
+{
+	echo '<h2><a href="'.$p_url.'">'.__('Import/Export').'</a>'.
+	' &rsaquo; <span class="page-title">'.html::escapeHTML($current_module->name).'</span></h2>';
+	
+	echo '<div id="ie-gui">';
+	$current_module->gui();
+	echo '</div>';
+}
+else
+{
+	echo '<h2 class="page-title">'.__('Import/Export').'</h2>';
+	echo '<h3>'.__('Import').'</h3>';
+	
+	echo '<dl class="modules">';
+	foreach ($modules['i'] as $k => $v)
 	{
-		$o = new $id($core);
+		require_once $v;
+		$o = new $k($core);
 		
-		$res .= 
+		echo 
 		'<dt><a href="'.$o->getURL(true).'">'.html::escapeHTML($o->name).'</a></dt>'.
 		'<dd>'.html::escapeHTML($o->description).'</dd>';
@@ -25,71 +120,24 @@
 		unset($o);
 	}
-	return '<dl class="modules">'.$res.'</dl>';
+	echo '</dl>';
+	
+	echo '<h3>'.__('Export').'</h3>';
+	
+	echo '<dl class="modules">';
+	foreach ($modules['e'] as $k => $v)
+	{
+		require_once $v;
+		$o = new $k($core);
+		
+		echo 
+		'<dt><a href="'.$o->getURL(true).'">'.html::escapeHTML($o->name).'</a></dt>'.
+		'<dd>'.html::escapeHTML($o->description).'</dd>';
+		
+		unset($o);
+	}
+	echo '</dl>';
 }
+?>
 
-$modules = new ArrayObject(array('import' => array(),'export' => array()));
-
-# --BEHAVIOR-- importExportModules
-$core->callBehavior('importExportModules',$modules);
-
-$type = null;
-if (!empty($_REQUEST['type'])  && in_array($_REQUEST['type'],array('export','import'))) {
-	$type = $_REQUEST['type'];
-}
-
-$module = null;
-if ($type && !empty($_REQUEST['module'])) {
-
-	if (isset($modules[$type]) && in_array($_REQUEST['module'],$modules[$type])) {
-	
-		$module = new $_REQUEST['module']($core);
-		$module->init();
-	}
-}
-
-if ($type && $module !== null && !empty($_REQUEST['do']))
-{
-	try {
-		$module->process($_REQUEST['do']);
-	} catch (Exception $e) {
-		$core->error->add($e->getMessage());
-	}
-}
-
-$title = __('Import/Export');
-
-echo '
-<html>
-<head>
-	<title>'.$title.'</title>
-	<link rel="stylesheet" type="text/css" href="index.php?pf=importExport/style.css" />
-	'.dcPage::jsLoad('index.php?pf=importExport/js/script.js').'
-	<script type="text/javascript">
-	//<![CDATA[
-	'.dcPage::jsVar('dotclear.msg.please_wait',__('Please wait...')).'
-	//]]>
-	</script>
-</head>
-<body>';
-
-if ($type && $module !== null) {
-	echo
-	'<h2><a href="'.$p_url.'">'.$title.'</a>'.
-	' &rsaquo; <span class="page-title">'.html::escapeHTML($module->name).'</span></h2>'.
-	'<div id="ie-gui">';
-	
-	$module->gui();
-	
-	echo '</div>';
-}
-else {
-	echo
-	'<h2 class="page-title">'.$title.'</h2>'.
-	'<h3>'.__('Import').'</h3>'.listImportExportModules($core,$modules['import']).
-	'<h3>'.__('Export').'</h3>'.listImportExportModules($core,$modules['export']);
-}
-
-echo '
 </body>
-</html>';
-?>
+</html>
Index: plugins/importExport/script.js
===================================================================
--- plugins/importExport/script.js	(revision 0)
+++ plugins/importExport/script.js	(revision 0)
@@ -0,0 +1,11 @@
+$(function() {
+	if ($('*.error').length > 0) {
+		return;
+	}
+	
+	$('#ie-gui form[method=post]:has(input[type=hidden][name=autosubmit])').each(function() {
+		$('input[type=submit]',this).remove();
+		$(this).after('<p style="font-size:2em;text-align:center">' + dotclear.msg.please_wait + '</p>');
+		$(this).submit();
+	});
+});
Index: plugins/maintenance/_define.php
===================================================================
--- plugins/maintenance/_define.php	(revision 967)
+++ plugins/maintenance/_define.php	(revision 464)
@@ -16,5 +16,5 @@
 	/* Description*/		"Maintain your database",
 	/* Author */			"Olivier Meunier",
-	/* Version */			'1.2'
+	/* Version */			'1.1'
 );
 ?>
Index: plugins/maintenance/index.php
===================================================================
--- plugins/maintenance/index.php	(revision 907)
+++ plugins/maintenance/index.php	(revision 500)
@@ -73,14 +73,14 @@
 <?php
 if (!empty($_GET['vacuum'])) {
-	dcPage::message(__('Optimization successful.'));
+	echo '<p class="message">'.__('Optimization successful.').'</p>';
 }
 if (!empty($_GET['commentscount'])) {
-	dcPage::message(__('Comments and trackback counted.'));
+	echo '<p class="message">'.__('Comments and trackback counted.').'</p>';
 }
 if (!empty($_GET['empty_cache'])) {
-	dcPage::message(__('Templates cache directory emptied.'));
+	echo '<p class="message">'.__('Templates cache directory emptied.').'</p>';
 }
 if (!empty($_GET['delete_logs'])) {
-	dcPage::message(__('Logs deleted.'));
+	echo '<p class="message">'.__('Logs deleted.').'</p>';
 }
 
@@ -105,5 +105,5 @@
 	else
 	{
-		dcPage::message(__('Entries index done.'));
+		echo '<p class="message">'.__('Entries index done.').'</p>';
 		echo '<p><a class="back" href="'.$p_url.'">'.__('Back').'</a></p>';
 	}
@@ -129,5 +129,5 @@
 	else
 	{
-		dcPage::message(__('Comments index done.'));
+		echo '<p class="message">'.__('Comments index done.').'</p>';
 		echo '<p><a class="back" href="'.$p_url.'">'.__('Back').'</a></p>';
 	}
Index: plugins/pages/_define.php
===================================================================
--- plugins/pages/_define.php	(revision 965)
+++ plugins/pages/_define.php	(revision 464)
@@ -16,5 +16,5 @@
 	/* Description*/	"Serve entries as simple web pages",
 	/* Author */		"Olivier Meunier",
-	/* Version */		'1.2',
+	/* Version */		'1.1.1',
 	array(
 		'permissions' =>	'contentadmin,pages',
Index: plugins/pages/_prepend.php
===================================================================
--- plugins/pages/_prepend.php	(revision 857)
+++ plugins/pages/_prepend.php	(revision 776)
@@ -12,6 +12,4 @@
 if (!defined('DC_RC_PATH')) { return; }
 
-global $core;
-
 $core->url->register('pages','pages','^pages/(.+)$',array('urlPages','pages'));
 $core->url->register('pagespreview','pagespreview','^pagespreview/(.+)$',array('urlPages','pagespreview'));
Index: plugins/pages/_public.php
===================================================================
--- plugins/pages/_public.php	(revision 945)
+++ plugins/pages/_public.php	(revision 727)
@@ -221,6 +221,5 @@
 		global $core, $_ctx;
 		
-		if (($w->homeonly == 1 && $core->url->type != 'default') ||
-			($w->homeonly == 2 && $core->url->type == 'default')) {
+		if ($w->homeonly && $core->url->type != 'default') {
 			return;
 		}
@@ -229,5 +228,4 @@
 		$params['limit'] = abs((integer) $w->limit);
 		$params['no_content'] = true;
-		$params['post_selected'] = false;
 		
 		$sort = $w->sortby;
@@ -249,5 +247,5 @@
 		
 		$res =
-		'<div class="pages'.($w->class ? ' '.html::escapeHTML($w->class) : '').'">'.
+		'<div class="pages">'.
 		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
 		'<ul>';
Index: plugins/pages/_widgets.php
===================================================================
--- plugins/pages/_widgets.php	(revision 954)
+++ plugins/pages/_widgets.php	(revision 270)
@@ -19,13 +19,7 @@
 	public static function initWidgets($w)
 	{
-		$w->create('pages',__('Pages'),array('tplPages','pagesWidget'),null,'List of published pages');
+		$w->create('pages',__('Pages'),array('tplPages','pagesWidget'));
 		$w->pages->setting('title',__('Title:'),__('Pages'));
-		$w->pages->setting('homeonly',__('Display on:'),1,'combo',
-			array(
-				__('All pages') => 0,
-				__('Home page only') => 1,
-				__('Except on home page') => 2
-				)
-		);
+		$w->pages->setting('homeonly',__('Home page only'),1,'check');
 		$w->pages->setting('sortby',__('Order by:'),'post_title','combo',
 			array(
@@ -38,5 +32,4 @@
 			array(__('Ascending') => 'asc', __('Descending') => 'desc')
 		);
-		$w->pages->setting('class',__('CSS class:'),'');
 	}
 	
Index: plugins/pages/list.php
===================================================================
--- plugins/pages/list.php	(revision 911)
+++ plugins/pages/list.php	(revision 884)
@@ -11,55 +11,70 @@
 # -- END LICENSE BLOCK -----------------------------------------
 if (!defined('DC_CONTEXT_ADMIN')) { return; }
+
 dcPage::check('pages,contentadmin');
 
-/* Pager class
--------------------------------------------------------- */
-class adminPageList extends adminGenericList
-{
-	public function display($page,$nb_per_page,$enclose_block='')
-	{
-		if ($this->rs->isEmpty())
-		{
-			echo '<p><strong>'.__('No page').'</strong></p>';
-		}
-		else
-		{
-			$pager = new pager($page,$this->rs_count,$nb_per_page,10);
-			$pager->html_prev = $this->html_prev;
-			$pager->html_next = $this->html_next;
-			$pager->var_page = 'page';
-			
-			$html_block =
-			'<table class="clear"><tr>'.
-			'<th colspan="2">'.__('Title').'</th>'.
-			'<th>'.__('Date').'</th>'.
-			'<th>'.__('Author').'</th>'.
-			'<th>'.__('Comments').'</th>'.
-			'<th>'.__('Trackbacks').'</th>'.
-			'<th>'.__('Status').'</th>'.
-			'</tr>%s</table>';
-			
-			if ($enclose_block) {
-				$html_block = sprintf($enclose_block,$html_block);
-			}
-			
-			echo '<p>'.__('Page(s)').' : '.$pager->getLinks().'</p>';
-			
-			$blocks = explode('%s',$html_block);
-			
-			echo $blocks[0];
-			
-			while ($this->rs->fetch())
-			{
-				echo $this->postLine();
-			}
-			
-			echo $blocks[1];
-			
-			echo '<p>'.__('Page(s)').' : '.$pager->getLinks().'</p>';
-		}
-	}
-	
-	private function postLine()
+class adminPageList extends adminItemsList
+{
+	public function setColumns()
+	{
+		$this->addColumn('title','post_title',__('Title'),array('adminPostList','getTitle'),array('class' => array('maximal')),true,true,false);
+		$this->addColumn('date','post_dt',__('Date'),array('adminPostList','getDate'));
+		$this->addColumn('datetime','post_dt',__('Date and time'),array('adminPostList','getDateTime'));
+		$this->addColumn('author','user_id',__('Author'),array('adminPostList','getAuthor'));
+		$this->addColumn('comments','nb_comment',__('Comments'),array('adminPostList','getComments'));
+		$this->addColumn('trackbacks','nb_trackback',__('Trackbacks'),array('adminPostList','getTrackbacks'));
+		$this->addColumn('status','post_status',__('Status'),array('adminPostList','getStatus'));
+		$this->default_sortby = 'datetime';
+		$this->default_order = 'desc';
+
+	}
+	
+	protected function getDefaultCaption()
+	{
+		return __('Pages list');
+	}
+	
+	protected function getDefaultLine()
+	{
+		return
+		'<tr class="line'.($this->rs->post_status != 1 ? ' offline' : '').'"'.
+		' id="p'.$this->rs->post_id.'">%s</tr>';
+	}
+	
+	protected function getTitle()
+	{
+		return
+		'<th scope="row" class="maximal">'.
+		form::checkbox(array('entries[]'),$this->rs->post_id,'','','',!$this->rs->isEditable()).'&nbsp;'.
+		'<a href="'.$this->core->getPostAdminURL($this->rs->post_type,$this->rs->post_id).'">'.
+		html::escapeHTML($this->rs->post_title).'</a></th>';
+	}
+	
+	protected function getDate()
+	{
+		return '<td class="nowrap">'.dt::dt2str(__('%Y-%m-%d'),$this->rs->post_dt).'</td>';
+	}
+	
+	protected function getDateTime()
+	{
+		return '<td class="nowrap">'.dt::dt2str(__('%Y-%m-%d %H:%M'),$this->rs->post_dt).'</td>';
+	}
+	
+	protected function getAuthor()
+	{
+		return '<td class="nowrap">'.$this->rs->user_id.'</td>';
+	}
+	
+	protected function getComments()
+	{
+		return '<td class="nowrap">'.$this->rs->nb_comment.'</td>';
+	}
+	
+	protected function getTrackbacks()
+	{
+		return '<td class="nowrap">'.$this->rs->nb_trackback.'</td>';
+	}
+	
+	protected function getStatus()
 	{
 		$img = '<img alt="%1$s" title="%1$s" src="images/%2$s" />';
@@ -82,9 +97,4 @@
 		if ($this->rs->post_password) {
 			$protected = sprintf($img,__('protected'),'locker.png');
-		}
-		
-		$selected = '';
-		if ($this->rs->post_selected) {
-			$selected = sprintf($img,__('hidden'),'hidden.png');
 		}
 		
@@ -96,47 +106,61 @@
 		}
 		
-		$res = '<tr class="line'.($this->rs->post_status != 1 ? ' offline' : '').'"'.
-		' id="p'.$this->rs->post_id.'">';
-		
-		$res .=
-		'<td class="nowrap">'.
-		form::checkbox(array('entries[]'),$this->rs->post_id,'','','',!$this->rs->isEditable(),'title="'.__('select this page').'"').'</td>'.
-		'<td class="maximal"><a href="'.$this->core->getPostAdminURL($this->rs->post_type,$this->rs->post_id).'">'.
-		html::escapeHTML($this->rs->post_title).'</a></td>'.
-		'<td class="nowrap">'.dt::dt2str(__('%Y-%m-%d %H:%M'),$this->rs->post_dt).'</td>'.
-		
-		'<td class="nowrap">'.$this->rs->user_id.'</td>'.
-		'<td class="nowrap">'.$this->rs->nb_comment.'</td>'.
-		'<td class="nowrap">'.$this->rs->nb_trackback.'</td>'.
-		'<td class="nowrap status">'.$img_status.' '.$selected.' '.$protected.' '.$attach.'</td>'.
-		'</tr>';
-		
-		return $res;
-	}
-}
-
-/* Getting pages
--------------------------------------------------------- */
-$params = array(
-	'post_type' => 'page'
-);
-
-$page = !empty($_GET['page']) ? (integer) $_GET['page'] : 1;
-$nb_per_page =  30;
-
-if (!empty($_GET['nb']) && (integer) $_GET['nb'] > 0) {
-	$nb_per_page = (integer) $_GET['nb'];
-}
-
-$params['limit'] = array((($page-1)*$nb_per_page),$nb_per_page);
-$params['no_content'] = true;
-$params['order'] = 'post_position ASC, post_title ASC';
-
-try {
-	$pages = $core->blog->getPosts($params);
-	$counter = $core->blog->getPosts($params,true);
-	$post_list = new adminPageList($core,$pages,$counter->f(0));
-} catch (Exception $e) {
-	$core->error->add($e->getMessage());
+		return '<td class="nowrap status">'.$img_status.' '.$protected.' '.$attach.'</td>';
+	}
+}
+
+
+# Getting authors
+try {
+	$users = $core->blog->getPostsUsers('page');
+} catch (Exception $e) {
+	$core->error->add($e->getMessage());
+}
+
+# Getting dates
+try {
+	$dates = $core->blog->getDates(array('type'=>'month','post_type'=>'page'));
+} catch (Exception $e) {
+	$core->error->add($e->getMessage());
+}
+
+# Getting langs
+try {
+	$langs = $core->blog->getLangs(array('post_type'=>'page'));
+} catch (Exception $e) {
+	$core->error->add($e->getMessage());
+}
+
+# Creating filter combo boxes
+if (!$core->error->flag())
+{
+	# Filter form we'll put in html_block
+	$users_combo = array();
+	while ($users->fetch())
+	{
+		$user_cn = dcUtils::getUserCN($users->user_id,$users->user_name,
+		$users->user_firstname,$users->user_displayname);
+		
+		if ($user_cn != $users->user_id) {
+			$user_cn .= ' ('.$users->user_id.')';
+		}
+		
+		$users_combo[$user_cn] = $users->user_id; 
+	}
+	
+	$status_combo = array(
+	);
+	foreach ($core->blog->getAllPostStatus() as $k => $v) {
+		$status_combo[$v] = (string) $k;
+	}
+	
+	# Months array
+	while ($dates->fetch()) {
+		$dt_m_combo[dt::str('%B %Y',$dates->ts())] = $dates->year().$dates->month();
+	}
+	
+	while ($langs->fetch()) {
+		$lang_combo[$langs->post_lang] = $langs->post_lang;
+	}
 }
 
@@ -145,19 +169,76 @@
 if ($core->auth->check('publish,contentadmin',$core->blog->id))
 {
-	$combo_action[__('publish')] = 'publish';
-	$combo_action[__('unpublish')] = 'unpublish';
-	$combo_action[__('schedule')] = 'schedule';
-	$combo_action[__('mark as pending')] = 'pending';
-}
-if ($core->auth->check('admin',$core->blog->id)) {
-	$combo_action[__('change author')] = 'author';
+	$combo_action[__('Status')] = array(
+		__('Publish') => 'publish',
+		__('Unpublish') => 'unpublish',
+		__('Schedule') => 'schedule',
+		__('Mark as pending') => 'pending'
+	);
+}
+if ($core->auth->check('admin',$core->blog->id))
+{
+	$combo_action[__('Change')] = array(__('Change author') => 'author');
 }
 if ($core->auth->check('delete,contentadmin',$core->blog->id))
 {
-	$combo_action[__('delete')] = 'delete';
+	$combo_action[__('Delete')] = array(__('Delete') => 'delete');
 }
 
 # --BEHAVIOR-- adminPagesActionsCombo
 $core->callBehavior('adminPagesActionsCombo',array(&$combo_action));
+
+
+/* Get posts
+-------------------------------------------------------- */
+$post_list = new adminPageList($core);
+
+$params = new ArrayObject();
+$params['post_type'] = 'page';
+$params['no_content'] = true;
+
+$filterSet = new dcFilterSet('pages',$p_url);
+class monthComboFilter extends comboFilter {
+	public function applyFilter($params) {
+		$month=$this->values[0];
+		$params['post_month'] = substr($month,4,2);
+		$params['post_year'] = substr($month,0,4);
+	}
+}
+$filterSet
+	->addFilter(new comboFilter(
+		'users',__('Author'), __('Author'), 'user_id', $users_combo))
+	->addFilter(new comboFilter(
+		'post_status',__('Status'), __('Status'), 'post_status', $status_combo))
+	->addFilter(new comboFilter(
+		'lang',__('Lang'), __('Lang'), 'post_lang', $lang_combo))
+	->addFilter(new monthComboFilter(
+		'month',__('Month'),__('Month'), 'post_month', $dt_m_combo,array('singleval' => 1)))
+	->addFilter(new textFilter(
+		'search',__('Contains'),__('The page contains'), 'search',20,255));
+
+$core->callBehavior('adminPagesFilters',$filterSet);
+$filterSet->setExtra($post_list);
+
+$filterSet->setup($_GET,$_POST);
+
+# Get pages
+try {
+	$nfparams = $params->getArrayCopy();
+	$filtered = $filterSet->applyFilters($params);
+	$core->callBehavior('adminPostsParams',$params);
+	$posts = $core->blog->getPosts($params);
+	$counter = $core->blog->getPosts($params,true);
+	if ($filtered) {
+		$totalcounter = $core->blog->getPosts($nfparams,true);
+		$page_title = sprintf(__('Pages / %s filtered out of %s'),$counter->f(0),$totalcounter->f(0));
+	} else {
+		$page_title = __('Pages');
+		$filters_info = '';
+	}
+	$post_list->setItems($posts,$counter->f(0));
+} catch (Exception $e) {
+	$core->error->add($e->getMessage());
+}
+
 
 /* Display
@@ -173,16 +254,20 @@
   //]]>
   </script>
+<?php
+echo $filterSet->header();
+?>
 </head>
 
 <body>
 <?php
-echo '<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; <span class="page-title">'.__('Pages').'</span></h2>'.
-'<p class="top-add"><a class="button add" href="'.$p_url.'&amp;act=page">'.__('New page').'</a></p>';
-
 if (!$core->error->flag())
 {
+	echo 
+	'<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; <span class="page-title">'.__('Pages').'</span></h2>'.
+	'<p class="top-add"><a class="button add" href="'.$p_url.'&amp;act=page">'.__('New page').'</a></p>';
+
+	$filterSet->display();
 	# Show pages
-	$post_list->display($page,$nb_per_page,
-	'<form action="posts_actions.php" method="post" id="form-entries">'.
+	$post_list->display('<form action="posts_actions.php" method="post" id="form-entries">'.
 	
 	'%s'.
@@ -194,10 +279,11 @@
 	form::combo('action',$combo_action).
 	'<input type="submit" value="'.__('ok').'" /></p>'.
-	form::hidden(array('post_type'),'page').
-	form::hidden(array('redir'),html::escapeHTML($_SERVER['REQUEST_URI'])).
+	str_replace('%','%%',$filterSet->getFormFieldsAsHidden()).
 	$core->formNonce().
 	'</div>'.
-	'</form>');
-}
+	'</form>'
+	);
+}
+
 dcPage::helpBlock('pages');
 ?>
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 957)
+++ plugins/pages/page.php	(revision 776)
@@ -31,5 +31,4 @@
 $post_open_comment = false;
 $post_open_tb = false;
-$post_selected = false;
 
 $post_media = array();
@@ -77,6 +76,4 @@
 unset($rs);
 
-# Validation flag
-$bad_dt = false;
 
 # Get page informations
@@ -111,5 +108,4 @@
 		$post_open_comment = (boolean) $post->post_open_comment;
 		$post_open_tb = (boolean) $post->post_open_tb;
-		$post_selected = (boolean) $post->post_selected;
 		
 		$page_title = __('Edit page');
@@ -158,22 +154,10 @@
 		$post_dt = '';
 	} else {
-		try
-		{
-			$post_dt = strtotime($_POST['post_dt']);
-			if ($post_dt == false || $post_dt == -1) {
-				$bad_dt = true;
-				throw new Exception(__('Invalid publication date'));
-			}
-			$post_dt = date('Y-m-d H:i',$post_dt);
-		}
-		catch (Exception $e)
-		{
-			$core->error->add($e->getMessage());
-		}
+		$post_dt = strtotime($_POST['post_dt']);
+		$post_dt = date('Y-m-d H:i',$post_dt);
 	}
 	
 	$post_open_comment = !empty($_POST['post_open_comment']);
 	$post_open_tb = !empty($_POST['post_open_tb']);
-	$post_selected = !empty($_POST['post_selected']);
 	$post_lang = $_POST['post_lang'];
 	$post_password = !empty($_POST['post_password']) ? $_POST['post_password'] : null;
@@ -193,5 +177,5 @@
 
 # Create or update post
-if (!empty($_POST) && !empty($_POST['save']) && $can_edit_page && !$bad_dt)
+if (!empty($_POST) && !empty($_POST['save']) && $can_edit_page)
 {
 	$cur = $core->con->openCursor($core->prefix.'post');
@@ -216,5 +200,4 @@
 	$cur->post_open_comment = (integer) $post_open_comment;
 	$cur->post_open_tb = (integer) $post_open_tb;
-	$cur->post_selected = (integer) $post_selected;
 	
 	if (isset($_POST['post_url'])) {
@@ -314,14 +297,14 @@
 
 if (!empty($_GET['upd'])) {
-	dcPage::message(__('Page has been successfully updated.'));
+		echo '<p class="message">'.__('Page has been successfully updated.').'</p>';
 }
 elseif (!empty($_GET['crea'])) {
-	dcPage::message(__('Page has been successfully created.'));
+		echo '<p class="message">'.__('Page has been successfully created.').'</p>';
 }
 elseif (!empty($_GET['attached'])) {
-	dcPage::message(__('File has been successfully attached.'));
+	echo '<p class="message">'.__('File has been successfully attached.').'</p>';
 }
 elseif (!empty($_GET['rmattach'])) {
-	dcPage::message(__('Attachment has been successfully removed.'));
+	echo '<p class="message">'.__('Attachment has been successfully removed.').'</p>';
 }
 
@@ -333,5 +316,5 @@
 	$post_format = 'xhtml';
 	
-	dcPage::message(__('Don\'t forget to validate your XHTML conversion by saving your post.'));
+	echo '<p class="message">'.__('Don\'t forget to validate your XHTML conversion by saving your post.').'</p>';
 }
 
@@ -432,5 +415,5 @@
 	
 	'<p><label for="post_dt">'.__('Published on:').
-	form::field('post_dt',16,16,$post_dt,($bad_dt ? 'invalid' : '')).'</label></p>'.
+	form::field('post_dt',16,16,$post_dt).'</label></p>'.
 	
 	'<p><label for="post_format">'.__('Text formating:').
@@ -441,24 +424,7 @@
 	'<p><label for="post_open_comment" class="classic">'.form::checkbox('post_open_comment',1,$post_open_comment).' '.
 	__('Accept comments').'</label></p>'.
-	($core->blog->settings->system->allow_comments ? 
-		(isContributionAllowed($post_id,strtotime($post_dt),true) ? 
-			'' :
-			'<p class="form-note warn">'.__('Warning: Comments are not more accepted for this page.').'</p>') : 
-		'<p class="form-note warn">'.__('Warning: Comments are not accepted on this blog.').'</p>').
-
 	'<p><label for="post_open_tb" class="classic">'.form::checkbox('post_open_tb',1,$post_open_tb).' '.
 	__('Accept trackbacks').'</label></p>'.
-	($core->blog->settings->system->allow_trackbacks ? 
-		(isContributionAllowed($post_id,strtotime($post_dt),false) ? 
-			'' :
-			'<p class="form-note warn">'.__('Warning: Trackbacks are not more accepted for this page.').'</p>') : 
-		'<p class="form-note warn">'.__('Warning: Trackbacks are not accepted on this blog.').'</p>').
-	
-	'<p><label for="post_selected" class="classic">'.form::checkbox('post_selected',1,$post_selected).' '.
-	__('Hidden').'</label></p>'.
-	'<p class="form-note">'.
-	__('If checked this page will be active but not listed in widget Pages.').
-	'</p>'.
-
+	
 	'<p><label for="post_position" class="classic">'.__('Page position:').' '.
 	form::field('post_position',3,3,(string) $post_position).
@@ -637,25 +603,4 @@
 }
 
-# Controls comments or trakbacks capabilities
-function isContributionAllowed($id,$dt,$com=true)
-{
-	global $core;
-
-	if (!$id) {
-		return true;
-	}
-	if ($com) {
-		if (($core->blog->settings->system->comments_ttl == 0) || 
-			(time() - $core->blog->settings->system->comments_ttl*86400 < $dt)) {
-			return true;
-		}
-	} else {
-		if (($core->blog->settings->system->trackbacks_ttl == 0) || 
-			(time() - $core->blog->settings->system->trackbacks_ttl*86400 < $dt)) {
-			return true;
-		}
-	}
-	return false;
-}
 
 # Show comments or trackbacks
Index: plugins/pings/_define.php
===================================================================
--- plugins/pings/_define.php	(revision 967)
+++ plugins/pings/_define.php	(revision 464)
@@ -16,5 +16,5 @@
 	/* Description*/		"Ping services",
 	/* Author */			"Olivier Meunier",
-	/* Version */			'1.2',
+	/* Version */			'1.1',
 	array(
 		'permissions' =>	'usage,contentadmin'
Index: plugins/pings/index.php
===================================================================
--- plugins/pings/index.php	(revision 907)
+++ plugins/pings/index.php	(revision 500)
@@ -54,5 +54,5 @@
 
 if (!empty($_GET['up'])) {
-	dcPage::message(__('Settings have been successfully updated.'));
+	echo '<p class="message">'.__('Settings have been successfully updated.').'</p>';
 }
 
Index: plugins/simpleMenu/_define.php
===================================================================
--- plugins/simpleMenu/_define.php	(revision 967)
+++ plugins/simpleMenu/_define.php	(revision 685)
@@ -16,5 +16,5 @@
 	/* Description*/		"Simple menu for Dotclear",
 	/* Author */			"Franck Paul",
-	/* Version */			'1.1',
+	/* Version */			'1.0',
 	array(
 		'permissions' =>	'admin'
Index: plugins/simpleMenu/_public.php
===================================================================
--- plugins/simpleMenu/_public.php	(revision 945)
+++ plugins/simpleMenu/_public.php	(revision 683)
@@ -42,6 +42,5 @@
 		global $core, $_ctx;
 		
-		if (($w->homeonly == 1 && $core->url->type != 'default') ||
-			($w->homeonly == 2 && $core->url->type == 'default')) {
+		if ($w->homeonly && $core->url->type != 'default') {
 			return;
 		}
@@ -52,7 +51,5 @@
 		}
 
-		return '<div class="simple-menu'.
-			($w->class ? ' '.html::escapeHTML($w->class) : '').'">'.
-			($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').$menu.'</div>';
+		return '<div class="simple-menu">'.($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').$menu.'</div>';
 	}
 	
Index: plugins/simpleMenu/_widgets.php
===================================================================
--- plugins/simpleMenu/_widgets.php	(revision 954)
+++ plugins/simpleMenu/_widgets.php	(revision 587)
@@ -18,14 +18,7 @@
 	public static function initWidgets($w)
 	{
-		$w->create('simplemenu',__('Simple menu'),array('tplSimpleMenu','simpleMenuWidget'),null,'List of simple menu items');
+		$w->create('simplemenu',__('Simple menu'),array('tplSimpleMenu','simpleMenuWidget'));
 		$w->simplemenu->setting('title',__('Title:'),__('Menu'));
-		$w->simplemenu->setting('homeonly',__('Display on:'),0,'combo',
-			array(
-				__('All pages') => 0,
-				__('Home page only') => 1,
-				__('Except on home page') => 2
-				)
-		);
-		$w->simplemenu->setting('class',__('CSS class:'),'');
+		$w->simplemenu->setting('homeonly',__('Home page only'),1,'check');
 	}
 }
Index: plugins/simpleMenu/index.php
===================================================================
--- plugins/simpleMenu/index.php	(revision 907)
+++ plugins/simpleMenu/index.php	(revision 776)
@@ -405,4 +405,7 @@
 	</script>
 	<?php endif; ?>
+	<!--
+	<link rel="stylesheet" type="text/css" href="index.php?pf=simpleMenu/style.css" />
+	-->
 </head>
 
@@ -412,14 +415,14 @@
 
 if (!empty($_GET['added'])) {
-	dcPage::message(__('Menu item has been successfully added.'));
+	echo '<p class="message">'.__('Menu item has been successfully added.').'</p>';
 }
 if (!empty($_GET['removed'])) {
-	dcPage::message(__('Menu items have been successfully removed.'));
+	echo '<p class="message">'.__('Menu items have been successfully removed.').'</p>';
 }
 if (!empty($_GET['neworder'])) {
-	dcPage::message(__('Menu items have been successfully updated.'));
+	echo '<p class="message">'.__('Menu items have been successfully updated.').'</p>';
 }
 if (!empty($_GET['updated'])) {
-	dcPage::message(__('Menu items have been successfully updated.'));
+	echo '<p class="message">'.__('Menu items have been successfully updated.').'</p>';
 }
 
